Download it now!
Bug 60441 - FILESAVE: Calc lost comments when more time save file ods
Summary: FILESAVE: Calc lost comments when more time save file ods
Status: RESOLVED DUPLICATE of bug 74325
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other Windows (All)
: high major
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-07 19:38 UTC by Andrzej
Modified: 2015-04-26 02:34 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrzej 2013-02-07 19:38:43 UTC
I use calc and Insert Comment. I open, a few times and all was right. One time LO make crash. But I don't know when I open file and now I don't see Comment. It's suck.
Version LO 4.0.0.3           
Operating System: Windows 8
Version: unspecified
Comment 1 A (Andy) 2013-03-29 21:51:26 UTC
Does this issue also still persist with the latest release of LO?
Comment 2 Andrzej 2013-04-08 18:17:04 UTC
Please wait form one to twao months. I lost all comments, so I have to now reproduce comments and to execute tests. I will write then if all is OK already.
Comment 3 dwyoung 2013-05-13 20:14:41 UTC
Similarly, I am also losing all comments in Version 3.6.5.2. All comments in all sheets of the .ods file disappear at the same time, but I haven't been able to isolate what user action causes the disappearance. It happens infrequently, like every few hours. This is a particularly annoying problem because whenever I do anything with the file, I have to check that the comments are still intact.

Bugs with basic features make it seem LO is not appropriate for use by professionals. I recommend applying "all" resources to fixing bugs and producing a stable version of the product before adding new features. Also, a robust test suite is sorely missing to prevent the release of buggy versions. A true leader needs to step up and have a "come to Jesus meeting".
Comment 4 dwyoung 2013-05-17 22:57:12 UTC
Upgrading from Version 3.6.5.2 to 3.6.6.2 I'm still experiencing the problem on Windows XP. In my case there is no issue of LO crashing, it's just that at some point cell comments disappear. In the most recent failure all comments disappear from all sheets except for the sheet on which I was making changes.
Comment 5 bfoman (inactive) 2013-06-21 13:10:48 UTC
(In reply to comment #3)
> Also,
> a robust test suite is sorely missing to prevent the release of buggy
> versions.

@reporter, dwyoung@mail.com 
Please prepare and attach a test kit to reproduce your problem. Only bugs with reproducible testcases can be confirmed and then fixed.

> Bugs with basic features make it seem LO is not appropriate for use by
> professionals. I recommend applying "all" resources to fixing bugs and
> producing a stable version of the product before adding new features.

LibreOffice is powered by a team of volunteers who mostly give their time for free. We invite you to join as there are many ways to get involved including bugs triage, marketing, UX, documentation, and of course developing -  https://www.libreoffice.org/get-involved/
As you can see you can become a resource as well! (or win a T-Shirt in currently running bug triage contest - For details please check out: https://wiki.documentfoundation.org/QA/Projects/Bug_Triage_Contest
Comment 6 bfoman (inactive) 2013-06-21 13:11:50 UTC
Adding dwyoung@mail.com to CC list in hope to receive some answers.
Comment 7 dwyoung 2013-08-02 20:30:20 UTC
(In reply to comment #6)
> Adding dwyoung@mail.com to CC list in hope to receive some answers.

I've created Bug 66340 that has the symptoms I've described and though they're similar to Bug 60441 a presumption that they are the same bug would be a guess on my part. For Bug 66340 I've attached a very simple test case the reproduces a failure. My suggestion is to address Bug 66340. Bug 66340 was reported 6/28/13 and as of 8/2/13 apparently has not been addressed by anyone.
Comment 8 Rudolf Kollien 2014-02-04 16:17:35 UTC
Mac OSX 10.8 and 10.9

I agree with Comment#4. Is the same to me. Thought it appeared with latest update to 4.2 as 4.2 completely crashes my sheets. But on my reconstruction procedure i found, that many (not all) comments where lost between August and October 2013. So this bug is a old one. Also like all others i don't have a test sheet or procedure to reproduce the bug. It's not a crash of Calc or similar. The files are always saved ether manually or by closing Calc/LO. On my own, i only lost hidden comments at all. Shown comments are not lost. All sheets with the error have multiple tables. But some of the affected files have 16 to 20 tables and some only 2 to 3. So it doesn't seem to be related to the amount of data. And - inside a single table NOT all comments are lost. 

One single property share all sheets: they are encrypted.
Comment 9 QA Administrators 2014-10-05 23:05:30 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 10 QA Administrators 2014-11-02 16:42:55 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO
Comment 11 Matthew Millar 2015-04-20 10:45:53 UTC
This bug still exists with LO 4.4.1.2.

It may have resulted from recovery after a power failure.
Comment 12 V Stuart Foote 2015-04-20 12:43:23 UTC
This did not meet criteria of a MAB, removing from mab4.3

Back to NEEDINFO

For those still experiencing this issue, please submit more complete Steps to Reproduce and ideally a test file that reliably.

Only thing close to a test case and valid STR was with bug 66340, but that was also marked invalid by QA timeout, and verified as WFM at 4.4.3.1
Comment 13 Jürgen 2015-04-24 11:52:43 UTC
Hi, I could reproduce this bug with version 4.2.0.4 (*32 bit) on Win7 64:

1) create new calc document
2) fill cell(s), e. g. A1=1
3) enter a note for A2
4) kill soffice.bin
5) restart LibreOffice => recover your document
6) fill another cell, e. g. A3 (if not filled another cell bug does not occour)
7) save
8) close LO
9) start LO and open your document
=> comments are gone :-(

Hope to help to solve this serious bug! Thanks for your work!

Best regards
Jürgen
Comment 14 raal 2015-04-24 12:40:42 UTC
(In reply to Jürgen from comment #13)
> Hi, I could reproduce this bug with version 4.2.0.4 (*32 bit) on Win7 64:
> Hope to help to solve this serious bug! Thanks for your work!
> 
> Best regards
> Jürgen

Hello,
please could you test with actual version 4.4.2?
https://www.libreoffice.org/download/libreoffice-fresh/ 
Thanks
Comment 15 Matthew Francis 2015-04-26 02:34:36 UTC
Using the instructions from comment 13:

I could reproduce this on LO 4.2.0.4, but not on LO 4.4.2.2

It's extremely likely that this is a duplicate of tdf#74325, which was fixed in 4.2.1
(commit 018500a73f3b1082b6662b7c123dfe5158ae5752 - notes which had never been displayed since loading were not saved correctly)


@Matthew Millar: Your report for 4.4.1 seems to be an outlier here - if you are still experiencing this issue, please raise a new bug with full details of what you are experiencing, as it is probably a separate issue to this much older report.

*** This bug has been marked as a duplicate of bug 74325 ***